Subject: bug#8130: 23.2; transient-rectangle-mode

From: Stefan Monnier <[email-masked]>
Date: Sun, 27 Feb 2011 22:30:26 -0500

> I would like to propose transient-rectangle-mode.  Working with
> rectangles sometimes is a bit hard to understand what exactly the
> boundaries of the rectangle are.

Yes, that would be good.  I think the best way to go about doing it is
to move the highlighting of the region to Elisp code.
One element to doing it would be to add a pre-redisplay-hook of some
sort which could update a "region overlay" (move its beg and end to
region-beginning and region-end), at which point it should be reasonably
easy to make the region appear any other way (e.g. as a rectangle or
a combination of the two as you suggest).

        Stefan